org.keycloak.events.admin

## Enum ResourceType

- java.lang.Object
- - java.lang.Enum<ResourceType>
  - - org.keycloak.events.admin.ResourceType

- All Implemented Interfaces:
    Serializable, Comparable<ResourceType>

      public enum ResourceType
      extends Enum<ResourceType>

  Represents Keycloak resource types for which `AdminEvent's` can be triggered.
  Author:
    Thomas Darimont

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTH_EXECUTION`
    `AUTH_EXECUTION_FLOW`
    `AUTH_FLOW`
    `AUTHENTICATOR_CONFIG`
    `CLIENT`
    `CLIENT_INITIAL_ACCESS_MODEL`
    `CLIENT_ROLE`
    `CLIENT_ROLE_MAPPING`
    `CLIENT_SCOPE_MAPPING`
    `CLIENT_TEMPLATE`
    `CLUSTER_NODE`
    `GROUP`
    `GROUP_MEMBERSHIP`
    `IDENTITY_PROVIDER`
    `IDENTITY_PROVIDER_MAPPER`
    `PROTOCOL_MAPPER`
    `REALM`
    `REALM_ROLE`
    `REALM_ROLE_MAPPING`
    `REALM_SCOPE_MAPPING`
    `REQUIRED_ACTION`
    `USER`
    `USER_FEDERATION_MAPPER`
    `USER_FEDERATION_PROVIDER`
    `USER_LOGIN_FAILURE`
    `USER_SESSION`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REALM

          public static final ResourceType REALM

    - #### REALM_ROLE

          public static final ResourceType REALM_ROLE

    - #### REALM_ROLE_MAPPING

          public static final ResourceType REALM_ROLE_MAPPING

    - #### REALM_SCOPE_MAPPING

          public static final ResourceType REALM_SCOPE_MAPPING

    - #### AUTH_FLOW

          public static final ResourceType AUTH_FLOW

    - #### AUTH_EXECUTION_FLOW

          public static final ResourceType AUTH_EXECUTION_FLOW

    - #### AUTH_EXECUTION

          public static final ResourceType AUTH_EXECUTION

    - #### AUTHENTICATOR_CONFIG

          public static final ResourceType AUTHENTICATOR_CONFIG

    - #### REQUIRED_ACTION

          public static final ResourceType REQUIRED_ACTION

    - #### IDENTITY_PROVIDER

          public static final ResourceType IDENTITY_PROVIDER

    - #### IDENTITY_PROVIDER_MAPPER

          public static final ResourceType IDENTITY_PROVIDER_MAPPER

    - #### PROTOCOL_MAPPER

          public static final ResourceType PROTOCOL_MAPPER

    - #### USER

          public static final ResourceType USER

    - #### USER_LOGIN_FAILURE

          public static final ResourceType USER_LOGIN_FAILURE

    - #### USER_SESSION

          public static final ResourceType USER_SESSION

    - #### USER_FEDERATION_PROVIDER

          public static final ResourceType USER_FEDERATION_PROVIDER

    - #### USER_FEDERATION_MAPPER

          public static final ResourceType USER_FEDERATION_MAPPER

    - #### GROUP

          public static final ResourceType GROUP

    - #### GROUP_MEMBERSHIP

          public static final ResourceType GROUP_MEMBERSHIP

    - #### CLIENT

          public static final ResourceType CLIENT

    - #### CLIENT_INITIAL_ACCESS_MODEL

          public static final ResourceType CLIENT_INITIAL_ACCESS_MODEL

    - #### CLIENT_ROLE

          public static final ResourceType CLIENT_ROLE

    - #### CLIENT_ROLE_MAPPING

          public static final ResourceType CLIENT_ROLE_MAPPING

    - #### CLIENT_TEMPLATE

          public static final ResourceType CLIENT_TEMPLATE

    - #### CLIENT_SCOPE_MAPPING

          public static final ResourceType CLIENT_SCOPE_MAPPING

    - #### CLUSTER_NODE

          public static final ResourceType CLUSTER_NODE

  - ### Method Detail

    - #### values

          public static ResourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResourceType c : ResourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResourceType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All rights reserved.